You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     m...@freebsd.org
Last committer: b...@freebsd.org
Ident:          $FreeBSD: head/security/openpgpsdk/Makefile 327769 2013-09-20 
22:55:24Z bapt $
Log URL:        
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2013-10-17_23h06m42s/logs/openpgpsdk-0.9.log
Build URL:      
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2013-10-17_23h06m42s
Log:

====>> Building security/openpgpsdk
build started at Fri Oct 18 09:57:29 UTC 2013
port directory: /usr/ports/security/openpgpsdk
building for: FreeBSD head-amd64-default-job-12 11.0-CURRENT FreeBSD 
11.0-CURRENT r256430 amd64
maintained by: m...@freebsd.org
Makefile ident:      $FreeBSD: head/security/openpgpsdk/Makefile 327769 
2013-09-20 22:55:24Z bapt $
Poudriere version: 3.1-pre

---Begin Environment---
OSVERSION=1100000
UNAME_v=FreeBSD 11.0-CURRENT r256430
UNAME_r=11.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
STATUS=1
MASTERMNT=/usr/local/poudriere/data/build/head-amd64-default/ref
PKG_EXT=txz
tpid=35827
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=openpgpsdk-0.9
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
PWD=/root
MASTERNAME=head-amd64-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--
--without-idea --with-cunit=/usr/local
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local 
 LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe -fno-strict-aliasing"  CPP="cpp" 
CPPFLAGS=""  LDFLAGS=""  CXX="c++" CXXFLAGS="-O2 -pipe -fno-strict-aliasing"  
MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 
555"  BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444"  
BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/openpgpsdk
DOCSDIR=/usr/local/share/doc/openpgpsdk
EXAMPLESDIR=/usr/local/share/examples/openpgpsdk
WWWDIR=/usr/local/www/openpgpsdk
ETCDIR=/usr/local/etc/openpgpsdk
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for openpgpsdk-0.9
=======================<phase: check-config   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   openpgpsdk-0.9 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.1.4_8.txz
Installing pkg-1.1.4_8... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of openpgpsdk-0.9
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by openpgpsdk-0.9 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by openpgpsdk-0.9 for building
=> SHA256 Checksum OK for openpgpsdk-0.9.tgz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by openpgpsdk-0.9 for building
===>  Extracting for openpgpsdk-0.9
=> SHA256 Checksum OK for openpgpsdk-0.9.tgz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for openpgpsdk-0.9
===========================================================================
=======================<phase: build-depends  >============================
===>   openpgpsdk-0.9 depends on executable: gpg2 - not found
===>    Verifying install for gpg2 in /usr/ports/security/gnupg
===>   Installing existing package /packages/All/gnupg-2.0.22.txz
Installing gnupg-2.0.22...Installing ca_root_nss-3.15.1_1... done
Installing curl-7.32.0... done
Installing gettext-0.18.3.1... done
Installing libassuan-2.1.1...Installing libgpg-error-1.12... done
 done
Installing libgcrypt-1.5.3... done
Installing libksba-1.3.0... done
Installing pth-2.0.7... done
 done
###############################################################################
                                A T T E N T I O N

In order to use gpg-agent, you need to install a pinentry dialog.

The following ports of pinentry dialogs are available:

security/pinentry-curses        (ncurses based dialog)
security/pinentry-gtk           (GTK 1.2 based dialog)
security/pinentry-gtk2          (GTK 2.x based dialog)
security/pinentry-qt            (QT3 based dialog)
security/pinentry-q4            (QT4 based dialog)

###############################################################################
===>   Returning to build of openpgpsdk-0.9
===>   openpgpsdk-0.9 depends on file: /usr/local/bin/perl5.14.4 - not found
===>    Verifying install for /usr/local/bin/perl5.14.4 in 
/usr/ports/lang/perl5.14
===>   Installing existing package /packages/All/perl-5.14.4_2.txz
Installing perl-5.14.4_2...Removing /usr/local/etc/perl5_version... Done.
Creating /usr/local/etc/perl5_version... Done.
Removing stale symlinks from /usr/bin...
    Skipping /usr/bin/perl
    Skipping /usr/bin/perl5
Done.
Creating various symlinks in /usr/bin...
    Symlinking /usr/local/bin/perl5.14.4 to /usr/bin/perl
    Symlinking /usr/local/bin/perl5.14.4 to /usr/bin/perl5
Done.
 done
===>   Returning to build of openpgpsdk-0.9
===========================================================================
=======================<phase: lib-depends    >============================
===>   openpgpsdk-0.9 depends on shared library: cunit.1 - not found
===>    Verifying install for cunit.1 in /usr/ports/devel/cunit
===>   Installing existing package /packages/All/cunit-2.1.0_2.txz
Installing cunit-2.1.0_2... done
===>   Returning to build of openpgpsdk-0.9
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for openpgpsdk-0.9
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/security/openpgpsdk/work/openpgpsdk-0.9/configure
Finding cc
  Finding path
  Found path: /sbin /bin /usr/sbin /usr/bin /usr/games /usr/local/sbin 
/usr/local/bin /root/bin
Found cc: cc
Finding base_cflags
  Finding is_gcc
  Found is_gcc: 1
Found base_cflags: -Wall -Werror -W -g
Check required header openssl/bn.h
Check required header zlib.h
Check required header bzlib.h
Check required header CUnit/Basic.h
Looking for header alloca.h (HAVE_ALLOCA_H)
Finding time_t
Getting info about time_t.
  time_t printf format is %ld
Found time_t: fmt -> %ld
Checking libraries for socket()
  trying no libraries ... OK
Checking for OpenSSL version
Checking for existence of gpg
gpg (GnuPG) 2.0.22
libgcrypt 1.5.3
Copyright (C) 2013 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Home: ~/.gnupg
Supported algorithms:
Pubkey: RSA, ELG, DSA, ?, ?
Cipher: IDEA, 3DES, CAST5, BLOWFISH, AES, AES192, AES256, TWOFISH,
        CAMELLIA128, CAMELLIA192, CAMELLIA256
Hash: MD5, SHA1, RIPEMD160, SHA256, SHA384, SHA512, SHA224
Compression: Uncompressed, ZIP, ZLIB, BZIP2
Creating src/lib/.depend
Creating src/app/.depend
Creating tests/.depend
make packet-show-cast.h
./../util/caster.pl packet-show.cast packet-show-cast.h
make clean
+++ make clean in src
+++ make clean in lib
rm -f packet-dump verify *.o *.i
rm -f TAGS
--- lib
+++ make clean in app
rm -f openpgp *.o *.i
rm -f  TAGS
--- app
find . -name '*.core' | xargs rm -f
rm -rf oink-links
--- src
+++ make clean in tests
rm -f  *.o *.i
rm -rf testdir.*
rm -f TAGS
--- tests
find . -name '*.core' | xargs rm -f
rm -rf oink-links
rm -f lib/*
make force_depend
+++ make force_depend in src
+++ make force_depend in lib
cd ../../include/openpgpsdk && make headers
cc  -I../../include  -I /usr/local/include  -DOPENSSL_NO_IDEA -Wall -Werror -W 
-g -fPIC -E -M *.c > .depend
--- lib
+++ make force_depend in app
cc -Wall -Werror -g  -I../../include  -I /usr/local/include  -DOPENSSL_NO_IDEA 
-Wall -Werror -W -g -fPIC -E -M *.c > .depend
--- app
--- src
+++ make force_depend in tests
cc -Wall -Werror -g  -I../include  -I /usr/local/include  -DOPENSSL_NO_IDEA 
-Wall -Werror -W -g -E -M *.c > .depend
--- tests
===========================================================================
=======================<phase: build          >============================
===>  Building for openpgpsdk-0.9
+++ make Makefile in src
`Makefile' is up to date.
--- src
+++ make Makefile in tests
`Makefile' is up to date.
--- tests
cd include/openpgpsdk && /usr/bin/make headers
set -e; for d in src tests; do  cd $d; /usr/bin/make || exit 1; cd ..; done
set -e; for d in lib app; do  (cd $d; echo "+++ make in $d"; /usr/bin/make || 
exit 1; echo "--- $d") || exit 1;  done
+++ make in lib
cd ../../include/openpgpsdk && /usr/bin/make headers
cc  -I../../include  -I /usr/local/include  -DOPENSSL_NO_IDEA -Wall -Werror -W 
-g -fPIC -c packet-parse.c
packet-parse.c:993:7: error: case value not in enumerated type 
'ops_public_key_algorithm_t' [-Werror,-Wswitch]
 case 0:
      ^
packet-parse.c:2229:38: error: implicit conversion from enumeration type 
'ops_s2k_usage_t' to different enumeration type 'ops_symmetric_algorithm_t' 
[-Werror,-Wenum-conversion]
        C.secret_key.algorithm=C.secret_key.s2k_usage;
                              ~~~~~~~~~~~~~~^~~~~~~~~
2 errors generated.
*** Error code 1

Stop.
make[3]: stopped in 
/wrkdirs/usr/ports/security/openpgpsdk/work/openpgpsdk-0.9/src/lib
*** Error code 1

Stop.
make[2]: stopped in 
/wrkdirs/usr/ports/security/openpgpsdk/work/openpgpsdk-0.9/src
*** Error code 1

Stop.
make[1]: stopped in /wrkdirs/usr/ports/security/openpgpsdk/work/openpgpsdk-0.9
*** Error code 1

Stop.
make: stopped in /usr/ports/security/openpgpsdk
===>  Cleaning for openpgpsdk-0.9
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to